#include "license.readme"

#include <cstdlib>
#include <cstring>
#include <cstdio>
#include <ctype.h>

#include "textparser.hxx"
#include "firstparser.hxx"
#include "atypes.hxx"

#ifndef WINDOWS
using namespace std;
#endif

extern char * mystrdup(const char * s);

FirstParser::FirstParser(const char * wordchars)
{
	init(wordchars);
}

FirstParser::~FirstParser() 
{
}

char * FirstParser::next_token()
{
	for (;;) {
		if (line[actual][head] == '\t') {
			char * t = (char *) malloc(head - token + 1);
			t[head - token] = '\0';
                        head++;
			if (t) return strncpy(t, line[actual] + token, head - 1 - token); 
			fprintf(stderr,"Error - Insufficient Memory\n");
                } else if (line[actual][head] == '\0') return NULL;
		head++;
	}
}
